Index: Mk/bsd.options.mk
===================================================================
--- Mk/bsd.options.mk	(revision 358740)
+++ Mk/bsd.options.mk	(working copy)
@@ -196,6 +196,15 @@
 
 # complete list
 COMPLETE_OPTIONS_LIST=	${ALL_OPTIONS}
+
+# Handle ports that are using PORTDOCS / PORTEXAMPLES, but do not provide 
+# EXAMPLES / DOCS options
+.for m in DOCS EXAMPLES
+.  if !empty(PORT_OPTIONS:M${m}) && empty(COMPLETE_OPTIONS_LIST:M${m})
+COMPLETE_OPTIONS_LIST+=	${m}
+.  endif
+.endfor
+
 .for otype in SINGLE RADIO MULTI GROUP
 .  for m in ${OPTIONS_${otype}}
 COMPLETE_OPTIONS_LIST+=	${OPTIONS_${otype}_${m}}
